WSLAY_EVENT_GET_STATUS_CODE_SENT(3)

NAME
wslay_event_get_status_code_sent - Return status code sent in close control frame

SYNOPSIS

#include <wslay/wslay.h>

uint16_t wslay_event_get_status_code_sent(wslay_event_context_ptr ctx)

DESCRIPTION

wslay_event_get_status_code_sent() returns status code sent in close control frame. If no close control frame has not been sent, returns WSLAY_CODE_ABNORMAL_CLOSURE. If sent close control frame has no status code, returns WSLAY_CODE_NO_STATUS_RCVD.

SEE ALSO

wslay_event_get_status_code_received()

AUTHOR
Tatsuhiro Tsujikawa

COPYRIGHT
2012, 2015, Tatsuhiro Tsujikawa